summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-openid/ruby-openid-2.9.2.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/ruby-openid/ruby-openid-2.9.2.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/ruby-openid/ruby-openid-2.9.2.ebuild')
-rw-r--r--dev-ruby/ruby-openid/ruby-openid-2.9.2.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-ruby/ruby-openid/ruby-openid-2.9.2.ebuild b/dev-ruby/ruby-openid/ruby-openid-2.9.2.ebuild
new file mode 100644
index 000000000000..947e273e4a45
--- /dev/null
+++ b/dev-ruby/ruby-openid/ruby-openid-2.9.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md NOTICE UPGRADE.md"
+
+RUBY_FAKEGEM_GEMSPEC="ruby-openid.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A robust library for verifying and serving OpenID identities"
+HOMEPAGE="https://github.com/openid/ruby-openid"
+SRC_URI="https://github.com/openid/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86 ~x86-macos"
+IUSE="test"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r examples
+}